# Deploys the Phonehome-Server.
# The server is entirely managed by Ansible.
# Don't make any local modifications as they are invisible in this repo and
# might be overwritten by Ansible.

# This playbook uses Ansible vault. See the documentation on how to use it.
# E.g. `--ask-vault-pass` or `--vault-password-file`

# An execution of single task is possible with:
# to only apply firewall configuration, use `--tags pffirewall`.
# to only apply perfact-measure, use        `--tags perfact-measure`.
# to only apply pfbackup, use               `--tags pfbackup`.
# to only apply perfact-monit, use          `--tags monit`.
# to only apply pfpyroutinecheck, use       `--tags pyroutinecheck`.
# to only apply massage of the day, use     `--tags motd`.
# to only apply fail2ban, use		    `--tags fail2ban`.
# to only apply perfact-phonehome-checker : `--tags perfact-phonehome-checker`

# The execution of this playbook will not automatically restart
# pffirewall.service if there were changes to the firewall-configuration.
# There'll be a reminder in the playbook output. Please avoid restarting
# pffirewall during work hours because it might interrupt all ssh connections.

# You can manually modify the firewall with iptables at runtime and
# additionally make the changes at this playbook.
# The playbook has to be executed to make the changes reboot-proof.

- hosts: pf-phonehome-2020-prod
  roles:
  - phonehome_deploy
  # I do not want to care about keys, when i want change system-settings:
  # - ssh_keys
  # ssh-keys is required to install a complete system
  # alternativly the keys can be deploeyd with:
  # ansible-playbook playbook_update_user_keys.yml  --diff  --limit "pf-phonehome*"

